/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         // GNaviを一旦無効化
         this.setGNaviEnabled(false);
         
         // トップページに遷移
         this.goScene("top");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.stop();
         this.setGNaviEnabled(true);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         // コードをここに挿入
         sym.stop();
         this.setGNaviEnabled(true);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         // コードをここに挿入
         this.skipToAnotherScene();

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         // シンボルが作成されたときに実行するコードをここに挿入
         
         /** シーンの切り替えを実行します */
         this.goScene = function( sceneName ){
         	this.nextSceneName = sceneName;
         	sym.play();
         	
         	var gnavi = sym.getSymbol("GNavi");
         	gnavi.setCurrentHighlight(sceneName);
         
         	this.setGNaviEnabled(false);
         };
         
         
         /** タイムラインから任意のラベルまで移動します */
         this.skipToAnotherScene = function(){
         	sym.stop();
         	sym.play( this.nextSceneName )
         };
         
         /** GNaviの有効・無効化を設定します。 */
         this.setGNaviEnabled = function(enabledFlag){
         	var gnavi = sym.getSymbol("GNavi");
         	gnavi.getSymbolElement().css("pointer-events", enabledFlag ? "auto" : "none");	
         };
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         // コードをここに挿入
         this.skipToAnotherScene();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         // コードをここに挿入
         sym.stop();
         this.setGNaviEnabled(true);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6500, function(sym, e) {
         // コードをここに挿入
         this.skipToAnotherScene();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'GNavi'
   (function(symbolName) {   

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnTop}", "click", function(sym, e) {
         // マウスクリックのコードをここに挿入します
         sym.getParentSymbol().goScene("top");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnTop}", "mouseover", function(sym, e) {
         // マウスがオブジェクトに重なったときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnTop");
         s.stop("over");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnTop}", "mouseout", function(sym, e) {
         // マウスがオブジェクトから離れたときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnTop");
         
         if(!s.selected){
         	s.playReverse("over");
         }

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnAbout}", "click", function(sym, e) {
         // マウスクリックのコードをここに挿入します
         sym.getParentSymbol().goScene("about")

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnSample}", "click", function(sym, e) {
         // マウスクリックのコードをここに挿入します
         sym.getParentSymbol().goScene("sample")

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnSample}", "mouseover", function(sym, e) {
         // マウスがオブジェクトに重なったときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnSample");
         s.stop("over");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnSample}", "mouseout", function(sym, e) {
         // マウスがオブジェクトから離れたときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnSample");
         if(!s.selected){
         	s.playReverse("over");
         }
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnAbout}", "mouseout", function(sym, e) {
         // マウスがオブジェクトから離れたときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnAbout");
         if(!s.selected){
         	s.playReverse("over");
         }
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_BtnAbout}", "mouseover", function(sym, e) {
         // マウスがオブジェクトに重なったときに実行されるコードを挿入します
         // マウスがオブジェクトから離れたときに実行されるコードを挿入します
         var s = sym.getSymbol("BtnAbout");
         s.stop("over");

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         // シンボルが作成されたときに実行するコードをここに挿入
         this.setCurrentHighlight = function(sceneName){
         
         	var btnTop = sym.getSymbol("BtnTop");
         	var btnAbout = sym.getSymbol("BtnAbout");
         	var btnSample = sym.getSymbol("BtnSample");
         
         	var arr = [btnTop, btnAbout, btnSample];
         
         	// いったんリセット
         	for(var i=0; i<arr.length; i++){
         		arr[i].selected = false;
         		arr[i].stop("up");
         		arr[i].getSymbolElement().css("pointer-events", "inherit");
         	}
         
         
         	//選択状態に応じてボタンのハイライトを設定
         	switch(sceneName){
         		case "top":
         			btnTop.stop("over");
         			btnTop.selected = true;
         			btnTop.getSymbolElement().css("pointer-events", "none");
         			break;
         
         		case "about":
         			btnAbout.stop("over");
         			btnAbout.selected = true;
         			btnAbout.getSymbolElement().css("pointer-events", "none");		
         			break;
         
         		case "sample":
         			btnSample.stop("over");
         			btnSample.selected = true;
         			btnSample.getSymbolElement().css("pointer-events", "none");
         			break;
         	}
         }

      });
      //Edge binding end

   })("GNavi");
   //Edge symbol end:'GNavi'

   //=========================================================
   
   //Edge symbol: 'Btn'
   (function(symbolName) {   

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("BtnTop");
   //Edge symbol end:'BtnTop'

   //=========================================================
   
   //Edge symbol: 'BtnTop_1'
   (function(symbolName) {   

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("BtnAbout");
   //Edge symbol end:'BtnAbout'

   //=========================================================
   
   //Edge symbol: 'TopScene'
   (function(symbolName) {   
   
   })("TopScene");
   //Edge symbol end:'TopScene'

   //=========================================================
   
   //Edge symbol: 'ContentAbout'
   (function(symbolName) {   
   
   })("ContentAbout");
   //Edge symbol end:'ContentAbout'

   //=========================================================
   
   //Edge symbol: 'BtnTop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("BtnSample");
   //Edge symbol end:'BtnSample'

   //=========================================================
   
   //Edge symbol: 'ContentAbout_1'
   (function(symbolName) {   
   
   })("ContentSamles");
   //Edge symbol end:'ContentSamles'

})(jQuery, AdobeEdge, "EDGE-257585928");